/// <reference types="./phaser" />
import SimplePlatformerControls from "../plugins/SimplePlatformerControls";
export declare class Player extends Phaser.Physics.Arcade.Sprite {
    speedMax: number;
    speedChange: number;
    jumpPower: number;
    facing: string;
    idle: boolean;
    jumpTimer: number;
    moveSpeed: number;
    ani: string;
    alive: boolean;
    setFacingAsset(): void;
    constructor(scene: Phaser.Scene, x: number, y: number, key: string, frame: string, facing?: string);
    update(controls: SimplePlatformerControls, time: number, delta: number): void;
    runAndJump(controls: SimplePlatformerControls, time: number, delta: number): void;
    disappear(): void;
}
